/**
 * Задача 1.
 *
 * Создайте функцию `f`, которая возвращает куб числа, переданного в качестве аргумента.
 *
 * Условия:
 * - Генерировать ошибку, если в качестве аргумента был передан не числовой тип.
 */

// РЕШЕНИЕ
const f2 = function (num) {
	if (typeof num !== "number") {
	    throw new Error(`${num} is not a number!`);
	}

	return Math.pow(num, 3)
}

console.log(f2(2)); // 8